# PetscViewerMatlabPutArray

Puts an array into the Matlab viewer.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscViewerMatlabPutArray(PetscViewer mfile,int m,int n,PetscScalar *array,char *name)

Not collective: only processor zero saves the array

### Input Parameters

| mfile | - the viewer
| m,n | - the dimensions of the array
| array | - the array (represented in one dimension)
| name | - the name of the array

Notes: Only writes array values on processor 0.

Level:advanced
Location: src/sys/viewer/impls/matlab/vmatlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages